import request from '../utils/request'

//注册
export function register(data) {
  return request({
    url: `/lease/auth/register`,
    method: 'post',
    data
  })
}


//登录
export function getLogin(data) {
    return request({
      url: `/lease/auth/login`,
      method: 'post',
      data
    })
  }


  
//退出登录
export function getLogout(data) {
    return request({
      url: `/lease/auth/logout`,
      method: 'post',
      data
    })
  }

    
//发送登录验证码
export function sendLoginCode(data) {
    return request({
      url: `/lease/auth/sendLoginCode`,
      method: 'post',
      data
    })
  }


  //发送注册验证码
export function sendEmailCode(data) {
    return request({
      url: `/lease/auth/sendRegisterCode`,
      method: 'post',
      data
    })
  }


  //发送修改密码验证码
export function sendUpdatePwdCode(data) {
    return request({
      url: `/lease/auth/sendUpdatePwdCode`,
      method: 'post',
      data
    })
  }


    //修改密码
export function updatePassword(data) {
    return request({
      url: `/lease/auth/updatePassword`,
      method: 'post',
      data
    })
  }





